EmptyField.h File Reference

Contains the EmptyField class. More...

`#include <vector>`
`#include <boost/lexical_cast.hpp>`
`#include "Field.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | EmptyField< Data_T >
| This subclass of Field does not store any data. More...

## Macros

#define | UNUSED(p)

## Typedefs

typedef std::vector< ProxyPtr > | Proxies
typedef EmptyField< float > | Proxy
typedef EmptyField< float >::Ptr | ProxyPtr

## Detailed Description

Contains the EmptyField class.

Definition in file EmptyField.h.

## Macro Definition Documentation

## UNUSED

#define UNUSED | ( |  | p | ) |

Value:
((p)=(p))

Definition at line 65 of file EmptyField.h.

Referenced by EmptyField< Data_T >::lvalue(), and EmptyField< Data_T >::value().

## Typedef Documentation

## Proxy

typedef EmptyField<float> Proxy

Definition at line 265 of file EmptyField.h.

## ProxyPtr

typedef EmptyField<float>::Ptr ProxyPtr

Definition at line 266 of file EmptyField.h.

## Proxies

typedef std::vector<ProxyPtr> Proxies

Definition at line 267 of file EmptyField.h.